Bug 215013 - [exp-run] make ruby 2.3 default
Summary: [exp-run] make ruby 2.3 default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-02 18:43 UTC by Steve Wills
Modified: 2017-01-09 19:24 UTC (History)
3 users (show)

See Also:


Attachments
patch to make ruby 2.3 default (520 bytes, patch)
2016-12-02 18:43 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2016-12-02 18:43:09 UTC
Created attachment 177614 [details]
patch to make ruby 2.3 default

Ruby 2.4 will be coming out soon, lets plan to be ready to make 2.3 default quickly.
Comment 1 Antoine Brodin freebsd_committer 2016-12-11 07:15:14 UTC
Exp-run looks fine.
Comment 2 commit-hook freebsd_committer 2017-01-09 19:24:12 UTC
A commit references this bug:

Author: swills
Date: Mon Jan  9 19:23:19 UTC 2017
New revision: 431022
URL: https://svnweb.freebsd.org/changeset/ports/431022

Log:
  Switch default Ruby version from 2.2 to 2.3

  PR:		215013

Changes:
  head/Mk/bsd.default-versions.mk
  head/UPDATING
Comment 3 Steve Wills freebsd_committer 2017-01-09 19:24:47 UTC
Committed